import request from '@/utils/httpRequest'

export default class ProgramProjectListInfoService {
  list (params) {
    return request({
      url: '/program/projectList/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/program/projectList/findById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/program/projectList/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/program/projectList/deleteById',
      method: 'delete',
      params: {ids: ids}
    })
  }
  findContractPageList (params) {
    return request({
      url: '/program/projectList/findContractPageList',
      method: 'get',
      params: params
    })
  }
}
